0

When the recent 4.1.1 was released, I thought it must be an important security update, as it's going out to all sites automatically. Reading through the changelog, I found it actually doesn't mention security fixes. If this is the case, IIRC this is the first auto-update over all sites to a new version without security reason.

Considering that a js change in 4.1.1 actually was breaking use of my modifications for the editor, I was wondering will non-security-updates continue to be released automatically? If so is there a wp-config option to only allow security auto-updates?

(and yes, I do know I should be testing on WP Beta Testing plugin but in this case I didn't happen to notice the incompatibility before the update was out to users.)

  • Auto-updates are not limited to security fixes. They apply to all minor versions. – fuxia Feb 22 '15 at 7:03
  • Thanks but that other answer doesn't give any details on setting security-update-only setting, I've read about the other settings for wp-config. – NoBugs Feb 22 '15 at 7:32
  • The answer to that is a simple no. :) The update process does not contain any information about the nature of the fixes, just about the version number. – fuxia Feb 22 '15 at 7:52